polybori::CCheckedIdx Class Reference

This class defines CCheckedIdx. More...

`#include <CCheckedIdx.h>`

Inheritance diagram for polybori::CCheckedIdx:

## Public Member Functions

| CCheckedIdx (idx_type idx)
| CCheckedIdx (const self &rhs)
| ~CCheckedIdx ()
| operator idx_type () const

## Additional Inherited Members

Public Types inherited from polybori::CAuxTypes
typedef bool | bool_type
| Type for standard true/false statements. More...
typedef std::size_t | size_type
| Type for lengths, dimensions, etc. More...
typedef int | deg_type
| Type for polynomial degrees (ranges from -1 to maxint) More...
typedef int | integer_type
| Type for integer numbers. More...
typedef int | idx_type
| Type for indices. More...
typedef std::size_t | hash_type
| Type for hashing. More...
typedef unsigned int | errornum_type
| Type used to store error codes. More...
typedef short int | comp_type
| Type for comparisons. More...
typedef int | ordercode_type
| Type for ordering codes. More...
typedef const char * | errortext_type
| Type used to verbose error information. More...
typedef std::ostream | ostream_type
| Type for out-stream. More...
typedef const char * | vartext_type
| Type for setting/getting names of variables. More...
typedef unsigned long | large_size_type
| large size_type (necessary?) More...
typedef std::size_t | refcount_type
| Type for counting references. More...

## Detailed Description

This class defines CCheckedIdx.

It checks the the range of CTypes::idx_type;

## Constructor & Destructor Documentation

polybori::CCheckedIdx::CCheckedIdx | ( | idx_type | idx | ) |

inline

References PBORI_UNLIKELY.

polybori::CCheckedIdx::CCheckedIdx | ( | const self & | rhs | ) |

inline

polybori::CCheckedIdx::~CCheckedIdx | ( |  | ) |

inline

## Member Function Documentation

polybori::CCheckedIdx::operator idx_type | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- CCheckedIdx.h
- CCheckedIdx.cc